%define srcname bottle

Name:           python-%{srcname}
Version:        0.12.11
Release:        %mkrel 1
Summary:        Fast and simple WSGI-framework for small web-applications

Group:          Development/Python
License:        MIT
URL:            http://bottlepy.org
Source0:        http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Bottle is a fast and simple micro-framework for small web-applications. 
It offers request dispatching (Routes) with URL parameter support, Templates, 
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and 
template engines. All in a single file and with no dependencies other than the 
Python Standard Library.

%package -n python3-%{srcname}
Group:          Development/Python
License:        MIT
Summary:        Fast and simple WSGI-framework for small web-applications

%description -n python3-%{srcname}
Bottle is a fast and simple micro-framework for small web-applications. 
It offers request dispatching (Routes) with URL parameter support, Templates, 
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and 
template engines. All in a single file and with no dependencies other than the 
Python Standard Library.

%prep
%setup -q -n %{srcname}-%{version}
sed -i '/^#!/d' bottle.py

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm %{buildroot}%{_bindir}/bottle.py

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}%{_bindir}/bottle.py
popd

%files
%doc README.rst PKG-INFO
%{python_sitelib}/*

%files -n python3-%{srcname}
%doc README.rst PKG-INFO
%{python3_sitelib}/*



%changelog
* Thu Dec 22 2016 philippem <philippem> 0.12.11-1.mga5
+ Revision: 1076339
- update to 0.12.11, fix mga#20004 CVE-2016-9964
- update to 0.12.11, fix mga#20004 CVE-2016-9964

* Wed Oct 15 2014 umeabot <umeabot> 0.12.7-4.mga5
+ Revision: 740668
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.12.7-3.mga5
+ Revision: 728111
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.12.7-2.mga5
+ Revision: 687908
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 philippem <philippem> 0.12.7-1.mga5
+ Revision: 638020
- correct group
- imported package python-bottle

